Subject: Re: sweet cicely

From: [email-masked] (Conrad Richter)
Date: Mon, 13 Mar 95 07:42:25 EST

[email-masked] (John W Bartlett) writes:

> I am thinking of putting in some sweet cicely (myrrh) in my herb garden.
> A book I have says it does best in cool northern weather.Does anyone in
> Zone 7 have any success with this herb?

Zone 7 should be fine.  

Conrad Richter

RICHTERS HERBS                     | Info:                 [email-masked]
Goodwood, ON  L0C 1A0, Canada      | Catalog Requests:  [email-masked]
Tel +1-905-640-6677  Fax 640-6641  | What's New for '95:    [email-masked]